<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:11 CEST 2020 -->
<title>HardwareBaselinePackageImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HardwareBaselinePackageImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HardwareBaselinePackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselineFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html" target="_top">Frames</a></li>
<li><a href="HardwareBaselinePackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.impl</div>
<h2 title="Class HardwareBaselinePackageImpl" class="title">Class HardwareBaselinePackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.impl.HardwareBaselinePackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">HardwareBaselinePackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.HardwareBaselinePackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.HardwareBaselinePackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS">CH_HW_BUS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__ADRESS_WIDTH">CH_HW_BUS__ADRESS_WIDTH</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__ARBITERS">CH_HW_BUS__ARBITERS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__BAND_WIDTH">CH_HW_BUS__BAND_WIDTH</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__BASE_CLASSIFIER">CH_HW_BUS__BASE_CLASSIFIER</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__BASE_CONNECTABLE_ELEMENT">CH_HW_BUS__BASE_CONNECTABLE_ELEMENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__BASE_CONNECTOR">CH_HW_BUS__BASE_CONNECTOR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__BASE_INSTANCE_SPECIFICATION">CH_HW_BUS__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__BASE_LIFELINE">CH_HW_BUS__BASE_LIFELINE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__BASE_PROPERTY">CH_HW_BUS__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__BLOCK_T">CH_HW_BUS__BLOCK_T</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__CAPACITY">CH_HW_BUS__CAPACITY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__DESCRIPTION">CH_HW_BUS__DESCRIPTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__ELEMENT_SIZE">CH_HW_BUS__ELEMENT_SIZE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__END_POINTS">CH_HW_BUS__END_POINTS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__FREQUENCY">CH_HW_BUS__FREQUENCY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__IS_ACTIVE">CH_HW_BUS__IS_ACTIVE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__IS_PROTECTED">CH_HW_BUS__IS_PROTECTED</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__IS_SERIAL">CH_HW_BUS__IS_SERIAL</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__IS_SYNCHRONOUS">CH_HW_BUS__IS_SYNCHRONOUS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__MAIN_SCHEDULER">CH_HW_BUS__MAIN_SCHEDULER</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__OWNED_HW">CH_HW_BUS__OWNED_HW</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__PACKET_T">CH_HW_BUS__PACKET_T</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__PHW_SERVICES">CH_HW_BUS__PHW_SERVICES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__RES_MULT">CH_HW_BUS__RES_MULT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__RHW_SERVICES">CH_HW_BUS__RHW_SERVICES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__SPEED_FACTOR">CH_HW_BUS__SPEED_FACTOR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__TRANSM_MODE">CH_HW_BUS__TRANSM_MODE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__UTILIZATION">CH_HW_BUS__UTILIZATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS__WORD_WIDTH">CH_HW_BUS__WORD_WIDTH</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_BUS_FEATURE_COUNT">CH_HW_BUS_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE">CH_HW_COMPUTING_RESOURCE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__BASE_CLASSIFIER">CH_HW_COMPUTING_RESOURCE__BASE_CLASSIFIER</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__BASE_CONNECTABLE_ELEMENT">CH_HW_COMPUTING_RESOURCE__BASE_CONNECTABLE_ELEMENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__BASE_INSTANCE_SPECIFICATION">CH_HW_COMPUTING_RESOURCE__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__BASE_LIFELINE">CH_HW_COMPUTING_RESOURCE__BASE_LIFELINE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__BASE_PROPERTY">CH_HW_COMPUTING_RESOURCE__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__DESCRIPTION">CH_HW_COMPUTING_RESOURCE__DESCRIPTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__END_POINTS">CH_HW_COMPUTING_RESOURCE__END_POINTS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__FREQUENCY">CH_HW_COMPUTING_RESOURCE__FREQUENCY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__IS_ACTIVE">CH_HW_COMPUTING_RESOURCE__IS_ACTIVE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__IS_PROTECTED">CH_HW_COMPUTING_RESOURCE__IS_PROTECTED</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__MAIN_SCHEDULER">CH_HW_COMPUTING_RESOURCE__MAIN_SCHEDULER</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__OP_FREQUENCIES">CH_HW_COMPUTING_RESOURCE__OP_FREQUENCIES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__OWNED_HW">CH_HW_COMPUTING_RESOURCE__OWNED_HW</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__PHW_SERVICES">CH_HW_COMPUTING_RESOURCE__PHW_SERVICES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__RES_MULT">CH_HW_COMPUTING_RESOURCE__RES_MULT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__RHW_SERVICES">CH_HW_COMPUTING_RESOURCE__RHW_SERVICES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__SPEED_FACTOR">CH_HW_COMPUTING_RESOURCE__SPEED_FACTOR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE__UTILIZATION">CH_HW_COMPUTING_RESOURCE__UTILIZATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_COMPUTING_RESOURCE_FEATURE_COUNT">CH_HW_COMPUTING_RESOURCE_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR">CH_HW_PROCESSOR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__ARCHITECTURE">CH_HW_PROCESSOR__ARCHITECTURE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__BASE_CLASSIFIER">CH_HW_PROCESSOR__BASE_CLASSIFIER</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__BASE_CONNECTABLE_ELEMENT">CH_HW_PROCESSOR__BASE_CONNECTABLE_ELEMENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__BASE_INSTANCE_SPECIFICATION">CH_HW_PROCESSOR__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__BASE_LIFELINE">CH_HW_PROCESSOR__BASE_LIFELINE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__BASE_PROPERTY">CH_HW_PROCESSOR__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__CACHES">CH_HW_PROCESSOR__CACHES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__DESCRIPTION">CH_HW_PROCESSOR__DESCRIPTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__END_POINTS">CH_HW_PROCESSOR__END_POINTS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__FREQUENCY">CH_HW_PROCESSOR__FREQUENCY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__IPC">CH_HW_PROCESSOR__IPC</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__IS_ACTIVE">CH_HW_PROCESSOR__IS_ACTIVE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__IS_PROTECTED">CH_HW_PROCESSOR__IS_PROTECTED</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__MAIN_SCHEDULER">CH_HW_PROCESSOR__MAIN_SCHEDULER</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__MIPS">CH_HW_PROCESSOR__MIPS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__NB_AL_US">CH_HW_PROCESSOR__NB_AL_US</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__NB_CORES">CH_HW_PROCESSOR__NB_CORES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__NB_FP_US">CH_HW_PROCESSOR__NB_FP_US</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__NB_PIPELINES">CH_HW_PROCESSOR__NB_PIPELINES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__NB_STAGES">CH_HW_PROCESSOR__NB_STAGES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__OP_FREQUENCIES">CH_HW_PROCESSOR__OP_FREQUENCIES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__OWNED_HW">CH_HW_PROCESSOR__OWNED_HW</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__OWNED_IS_AS">CH_HW_PROCESSOR__OWNED_IS_AS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__OWNED_MM_US">CH_HW_PROCESSOR__OWNED_MM_US</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__PHW_SERVICES">CH_HW_PROCESSOR__PHW_SERVICES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__PREDICTORS">CH_HW_PROCESSOR__PREDICTORS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__RES_MULT">CH_HW_PROCESSOR__RES_MULT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__RHW_SERVICES">CH_HW_PROCESSOR__RHW_SERVICES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__SPEED_FACTOR">CH_HW_PROCESSOR__SPEED_FACTOR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR__UTILIZATION">CH_HW_PROCESSOR__UTILIZATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#CH_HW_PROCESSOR_FEATURE_COUNT">CH_HW_PROCESSOR_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#eNAME">eNAME</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#eNS_URI">eNS_URI</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#getCH_HwBus_Utilization--">getCH_HwBus_Utilization</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#getCH_HwBus--">getCH_HwBus</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#getCH_HwComputingResource_Utilization--">getCH_HwComputingResource_Utilization</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#getCH_HwComputingResource--">getCH_HwComputingResource</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#getCH_HwProcessor_Utilization--">getCH_HwProcessor_Utilization</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#getCH_HwProcessor--">getCH_HwProcessor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselineFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselineFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#getHardwareBaselineFactory--">getHardwareBaselineFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eURIFragmentSegment, getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
 
 <p>This method is used to initialize <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#eINSTANCE"><code>HardwareBaselinePackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#eNS_URI"><code>HardwareBaselinePackage.eNS_URI</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCH_HwProcessor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_HwProcessor</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getCH_HwProcessor()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwProcessor--">getCH_HwProcessor</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Hw Processor</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/CH_HwProcessor.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline"><code>CH_HwProcessor</code></a></dd>
</dl>
</li>
</ul>
<a name="getCH_HwProcessor_Utilization--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_HwProcessor_Utilization</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCH_HwProcessor_Utilization()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwProcessor_Utilization--">getCH_HwProcessor_Utilization</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Utilization</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/CH_HwProcessor.html#getUtilization--"><code>CH_HwProcessor.getUtilization()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwProcessor--"><code>HardwareBaselinePackage.getCH_HwProcessor()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCH_HwBus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_HwBus</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getCH_HwBus()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwBus--">getCH_HwBus</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Hw Bus</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/CH_HwBus.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline"><code>CH_HwBus</code></a></dd>
</dl>
</li>
</ul>
<a name="getCH_HwBus_Utilization--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_HwBus_Utilization</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCH_HwBus_Utilization()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwBus_Utilization--">getCH_HwBus_Utilization</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Utilization</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/CH_HwBus.html#getUtilization--"><code>CH_HwBus.getUtilization()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwBus--"><code>HardwareBaselinePackage.getCH_HwBus()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCH_HwComputingResource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_HwComputingResource</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getCH_HwComputingResource()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwComputingResource--">getCH_HwComputingResource</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Hw Computing Resource</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/CH_HwComputingResource.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline"><code>CH_HwComputingResource</code></a></dd>
</dl>
</li>
</ul>
<a name="getCH_HwComputingResource_Utilization--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_HwComputingResource_Utilization</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCH_HwComputingResource_Utilization()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwComputingResource_Utilization--">getCH_HwComputingResource_Utilization</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Utilization</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/CH_HwComputingResource.html#getUtilization--"><code>CH_HwComputingResource.getUtilization()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getCH_HwComputingResource--"><code>HardwareBaselinePackage.getCH_HwComputingResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHardwareBaselineFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHardwareBaselineFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselineFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselineFactory</a>&nbsp;getHardwareBaselineFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html#getHardwareBaselineFactory--">getHardwareBaselineFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/HardwareBaselinePackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline">HardwareBaselinePackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HardwareBaselinePackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselineFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/DeploymentConfiguration/HardwareBaseline/impl/HardwareBaselinePackageImpl.html" target="_top">Frames</a></li>
<li><a href="HardwareBaselinePackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
